#!/usr/bin/env node

const axios = require('axios')

var myArgs = process.argv.slice(2);
var website = myArgs[0]
var page = myArgs[1]

if (! process.env.NETPERF_API_KEY) {
    console.log("Please set the NETPERF_API_KEY environment variable")
    process.exit(-1)
}
var api_key = process.env.NETPERF_API_KEY;

const backend = axios.create({
    baseURL: 'https://api.netperf.io',
    json: true
})
backend.post('/api_analyze',
    {
        api_key: api_key,
        website: website,
        page: page
    },
    {
        headers: {
            //'AuthToken': idToken
        }
    }
).then((res) => {
    console.log(JSON.stringify(res.data, null, 2))
}).catch((error) => {
    console.log(error.response)
})
